import { TimeAxisBase } from "./TimeAxisBase";
import { ITimeRangeSelectorAxis } from "./ITimeRangeSelectorAxis";
import { TimeAxisBreakCollection } from "./TimeAxisBreakCollection";
import { TimeAxisLabellingMode } from "./TimeAxisLabellingMode";
import { TimeAxisLabelFormatCollection } from "./TimeAxisLabelFormatCollection";
import { TimeAxisIntervalCollection } from "./TimeAxisIntervalCollection";
import { Type, IList$1, EventArgs } from "igniteui-angular-core";
import { TimeAxisLabelFormat } from "./TimeAxisLabelFormat";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-angular-core";
import { CultureInfo } from "igniteui-angular-core";
import { TimeRepetitionLevel } from "./TimeRepetitionLevel";
/**
 * @hidden
 */
export declare class TimeXAxis extends TimeAxisBase implements ITimeRangeSelectorAxis {
    static $t: Type;
    constructor();
    protected get_cd(): boolean;
    dz(a: number, b: ScalerParams): number;
    private m3;
    gt(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    protected startCursor(): void;
    protected resetCursor(): void;
    private m5;
    d2(a: number, b: ScalerParams): number;
    private m4;
    private mf;
    get breaks(): TimeAxisBreakCollection;
    private mo;
    get mp(): TimeAxisLabellingMode;
    set mp(a: TimeAxisLabellingMode);
    private mm;
    get labelFormats(): TimeAxisLabelFormatCollection;
    protected g0(a: any, b: string, c: any, d: any): void;
    protected hp(a: Rect, b: Rect): void;
    protected ho(a: Rect, b: Rect): void;
    cp(): boolean;
    private _omission;
    private get omission();
    private set omission(value);
    private nm;
    private md;
    private ms;
    private my;
    private nl;
    fm(a: number): string;
    e9(a: any): any;
    static m6(a: Date, b: boolean, c: Date, d: TimeAxisLabellingMode, e: number, f: IList$1<TimeAxisLabelFormat>, g: CultureInfo): any;
    static nb(a: Date, b: boolean, c: Date, d: TimeAxisLabellingMode, e: number, f: IList$1<TimeAxisLabelFormat>, g: CultureInfo): string;
    private static mq;
    protected get_la(): boolean;
    protected set_la(a: boolean): void;
    private mk;
    get intervals(): TimeAxisIntervalCollection;
    private m9;
    static na(a: number, b: TimeRepetitionLevel, c: TimeAxisLabellingMode): string;
    private static mc;
    private static me;
    private mi;
    private mj;
    private m7;
    protected hd(a: boolean): void;
    private mr;
    private mt;
    private nk;
    private mx;
    get visibleMinimum(): Date;
    set visibleMinimum(a: Date);
    private mv;
    get m0(): Date;
    set m0(a: Date);
    private mu;
    get mz(): Date;
    set mz(a: Date);
    private mw;
    private mh;
    get visibleMaximum(): Date;
    set visibleMaximum(a: Date);
    protected l7(): void;
    j2(a: Rect, b: Rect, c: Rect, d: number, e: number): number;
    i$f(a: number): number;
    private nn;
    private np;
    private no;
    protected get_b5(): boolean;
    getWindowRectForSelection(a: Date, b: Date): Rect;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    private ni;
    static nh(a: (arg1: number) => Date, b: number): number;
    private ng;
    protected l3(): void;
    static nd(a: number): string;
    itemLabelFormat(): string;
    visibleRangeChanged: (sender: any, e: EventArgs) => void;
    protected lp(a: Rect, b: Rect, c: Rect, d: Rect): number;
    protected ls(a: Rect, b: Rect, c: Rect, d: Rect): number;
    get isVertical(): boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    get j$a(): boolean;
    get i$a(): boolean;
}
